<div class="qcu-solution-panel rounded-panel rounded-panel__row">
  {{#each this.labeledRadios as |labeledItemRadio index|}}
    <p class="qcu-solution-panel__proposal-item">
      <span class="qcu-solution-panel__radio-button">
        {{#if (get labeledItemRadio 1)}}
          <svg
            width="18px"
            height="18px"
            viewBox="0 0 18 18"
            version="1.1"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
          >
            <title>{{t "pages.comparison-window.results.tips.your-answer"}}</title>
            <g stroke="none" stroke-width="1" fill="grey" fill-rule="evenodd">
              <circle id="Oval" stroke="#7D808B" stroke-width="2" cx="9" cy="9" r="8"></circle>
            </g>
          </svg>
        {{else}}
          <svg
            width="18px"
            height="18px"
            viewBox="0 0 18 18"
            version="1.1"
            xmlns="http://www.w3.org/2000/svg"
            xmlns:xlink="http://www.w3.org/1999/xlink"
          >
            <title>{{t "pages.comparison-window.results.tips.other-proposition"}}</title>
            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
              <circle id="Oval" stroke="#7D808B" stroke-width="2" cx="9" cy="9" r="8"></circle>
            </g>
          </svg>
        {{/if}}
      </span>
      <MarkdownToHtmlUnsafe
        @class="qcu-solution-panel__proposition"
        data-goodness="{{if (get this.solutionArray (concat index)) 'good' 'bad'}}"
        data-checked={{if (get labeledItemRadio 1) "yes" "no"}}
        @markdown="{{get labeledItemRadio 0}}"
      />
    </p>
  {{/each}}

  {{#if this.isAnswerValid}}
    <div data-test-correct-answer>{{t "pages.comparison-window.results.feedback.correct"}}</div>
  {{else}}
    <MarkdownToHtmlUnsafe
      class="qcu-solution-answer-feedback__expected-answer"
      @markdown="{{t 'pages.comparison-window.results.feedback.wrong' htmlSafe=true}} {{this.solutionAsText}}"
    />
  {{/if}}
</div>